Skip to main content
PATCH
/
suppliers
/
{id}
Patch supplier
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    email: '<string>',
    phone: '<string>',
    website: '<string>',
    taxNumber: '<string>',
    registrationNumber: '<string>',
    address: {
      line1: '<string>',
      line2: '<string>',
      city: '<string>',
      postalCode: '<string>',
      country: '<string>'
    },
    bankDetails: {
      accountHolderName: '<string>',
      accountNumber: '<string>',
      sortCode: '<string>',
      routingNumber: '<string>',
      iban: '<string>',
      bicSwift: '<string>',
      country: '<string>',
      currency: '<string>'
    },
    paymentTermsDefault: '<string>'
  })
};

fetch('https://api.dolfinai.co/suppliers/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "<string>",
  "phone": "<string>",
  "website": "<string>",
  "taxNumber": "<string>",
  "registrationNumber": "<string>",
  "address": {
    "line1": "<string>",
    "line2": "<string>",
    "city": "<string>",
    "postalCode": "<string>",
    "country": "<string>"
  },
  "bankDetails": {
    "accountHolderName": "<string>",
    "accountNumber": "<string>",
    "sortCode": "<string>",
    "routingNumber": "<string>",
    "iban": "<string>",
    "bicSwift": "<string>",
    "country": "<string>",
    "currency": "<string>"
  },
  "paymentTermsDefault": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

id
string<uuid>
required

Body

application/json
name
null | string
email
null | string
phone
null | string
website
null | string
taxNumber
null | string
registrationNumber
null | string
address
object
bankDetails
object
paymentTermsDefault
null | string

Response

OK

name
string
required
id
string<uuid>
organisationId
string<uuid>
email
null | string
phone
null | string
website
null | string
taxNumber
null | string
registrationNumber
null | string
address
object
bankDetails
object
paymentTermsDefault
null | string
createdAt
string<date-time>
createdBy
null | string<uuid>
updatedAt
string<date-time>
updatedBy
null | string<uuid>